loki:
  commonConfig:
    replication_factor: 1
  server:
    log_level: warn
  limits_config:
    retention_period: 744h
    ingestion_rate_mb: 20
    ingestion_burst_size_mb: 24
    max_global_streams_per_user: 20000
    per_stream_rate_limit: 5MB
  query_scheduler:
    max_outstanding_requests_per_tenant: 200
  auth_enabled: false
  storage:
#    type: 'filesystem'
    type: azure
    azure:
      accountName: ${AZURE_ACCOUNT_NAME}
      accountKey: ${AZURE_ACCOUNT_KEY}
    bucketNames:
      admin: golem-loki-admin
      chunks: golem-loki-chunks
      ruler: golem-loki-ruler
  schemaConfig:
    configs:
      - from: 2022-01-11
        store: boltdb-shipper
        object_store: azure
        schema: v12
        index:
          prefix: loki_index_
          period: 24h
  compactor:
    retention_enabled: true

singleBinary:
  replicas: 2
  resources:
    requests:
      cpu: '0.2'
      memory: 1200M
    limits:
      cpu: '1.2'
      memory: 1800M
  extraArgs:
    - "-config.expand-env=true" # https://github.com/grafana/loki/issues/9143#issuecomment-1554773479
  extraEnvFrom:
    - secretRef:
        name: loki-azure-credentials
  persistence:
    enabled: false
  # https://github.com/grafana/loki/issues/4466#issuecomment-1078960849
  extraVolumes:
    - name: data
      emptyDir: { }
  extraVolumeMounts:
    - name: data
      mountPath: /var/loki

ingress: # temporary for Dan's testing
  enabled: true
  ingressClassName: nginx-internal
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
  hosts:
    - loki.golem.oictinternal.cz
  tls:
    - hosts:
        - loki.golem.oictinternal.cz
      secretName: loki.golem.oictinternal.cz-tls

test:
  enabled: false

monitoring:
  selfMonitoring:
    enabled: false
    grafanaAgent:
      installOperator: false
  lokiCanary:
    enabled: false

memberlist: # https://github.com/grafana/loki/issues/7907
  service:
    publishNotReadyAddresses: true

gateway:
  resources:
    requests:
      cpu: 5m
      memory: 16Mi
    limits:
      cpu: 50m
      memory: 64Mi
